package route

import (
	"kpt-pasture/http/handler/analysis"

	"github.com/gin-gonic/gin"
)

func AnalysisAPI(opts ...func(engine *gin.Engine)) func(s *gin.Engine) {
	return func(s *gin.Engine) {
		for _, opt := range opts {
			opt(s)
		}
		// analysis API 组
		analysisRoute := authRouteGroup(s, "/api/v1/analysis/")
		analysisRoute.POST("/growth/curve", analysis.GrowthCurve)
		analysisRoute.POST("/weight/range", analysis.WeightRange)
		analysisRoute.POST("/mating/timely", analysis.MatingTimeLy)
		analysisRoute.POST("/pen/weight", analysis.PenWeight)
		analysisRoute.POST("/abortion/rate", analysis.AbortionRate)
		analysisRoute.POST("/twenty/one/pregnant/rate", analysis.TwentyOnePregnantRate)
		analysisRoute.POST("/pregnancy/report", analysis.PregnancyReport)
		analysisRoute.POST("/calving/report", analysis.CalvingReport)
		analysisRoute.POST("/disease/cure/report", analysis.DiseaseCureReport)
		analysisRoute.POST("/sale/cow/report", analysis.SaleCowReport)
		analysisRoute.POST("/single/factor/pregnant/report", analysis.SingleFactorInfantSurvivalRate)
		analysisRoute.POST("/multi/factor/pregnant/report", analysis.MultiFactorInfantSurvivalRate)
	}
}
